Bug 116953 - netplugd gets stuck the second time I remove/plug in the network cable
netplugd gets stuck the second time I remove/plug in the network cable
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 14:10 EST by Forrest
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 13:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of netplug actions (2.81 KB, text/plain)
2004-02-26 14:14 EST, Forrest
no flags Details
messages-2.6.9-1.751_ELsmp (48.39 KB, text/plain)
2004-12-07 10:36 EST, John W. Linville
no flags Details

  None (edit)
Description Forrest 2004-02-26 14:10:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
First of all, netplugd is not added to chkconfig--is this a security
feature or a bug?

The machine I am using is an Intel Pentium III 600MHz with an Intel
EEPRO100 NIC.  I am disconnecting the cable at the switch, not at the
card itself.

Once I start netplug, I see that it attempts to get an address (even
though the network is already up).  I unplug the cable, and netplug
brings eth0 down.  I plug in the cable, and netplug brings up eth0.  I
unplug the cable, and netplug brings eth0 down.  I plug in the cable,
and I get no response from netplug.  eth0 remains down, and the kernel
(kernel-2.6.1-1.65) doesn't even recognize that the cable has been
plugged in.

Version-Release number of selected component (if applicable):
net-tools-1.60-22

How reproducible:
Always

Steps to Reproduce:
1.  Start netplugd
2.  Unplug cable, verify network is down
3.  Plug in cable, verify network is up
4.  Unplug cable, verify network is down
5.  Plug in cable, verify that network is still down

Actual Results:  The network remained down even though the cable was
plugged in.

Expected Results:  It should have brought up the network.

Additional info:
Comment 1 Forrest 2004-02-26 14:14:24 EST
Created attachment 98081 [details]
Log of netplug actions

This is the /var/log/messages entries during plug/unplug.  Notice that the last
time I plug in the cable, no kernel messages were received stating that the
cable was plugged in.
Comment 2 Forrest 2004-02-26 14:20:45 EST
With netplug stopped, the kernel acknowledges all unplug/plug actions.
Comment 3 Phil Knirsch 2004-03-05 09:40:50 EST
Well, this looks more like a kernel resp. driver problem to me as the
kernel has to send that message to userland, otherwise how should
netplug be able to detect the reestablished link?

So i'm reasssigning this bug to kernel.

Read ya, Phil

PS: The missing chkconfig is a bug, will be fixed on next version.
Comment 4 Forrest 2004-04-08 14:00:10 EDT
Has anyone looked at this from a kernel perspective?
Comment 5 Dave Jones 2004-12-07 00:38:03 EST
is this still a problem with the 2.6.9 based update?
Comment 6 John W. Linville 2004-12-07 10:36:03 EST
Created attachment 108045 [details]
messages-2.6.9-1.751_ELsmp

/var/log/messages from my RHEL4 box running 2.6.9-1.751_ELsmp (should be pretty
close to latest FC2 kernel update).

Box in question has an e100 card as eth1 -- /var/log/messages shows output from
multiple plug/unplug cycles while running netplugd.  No problem is apparent.

Note You need to log in before you can comment on or make changes to this bug.